/**
 * RoleClassManufacturedProduct2.java
 *
 * File generated from the medication2::RoleClassManufacturedProduct2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration RoleClassManufacturedProduct2.
 *
 * 
 */

@XmlType(name = "RoleClassManufacturedProduct")
@XmlEnum
@XmlRootElement(name = "RoleClassManufacturedProduct2")
public enum RoleClassManufacturedProduct2 {
	@XmlEnumValue("MANU")
	MANU("MANU"),
	@XmlEnumValue("THER")
	THER("THER");
	
	private final String value;

    RoleClassManufacturedProduct2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static RoleClassManufacturedProduct2 fromValue(String v) {
        for (RoleClassManufacturedProduct2 c: RoleClassManufacturedProduct2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
